GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
security_context.h File Reference
`#include "src/core/security/credentials.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_auth_context
struct | grpc_client_security_context
struct | grpc_server_security_context

## Macros
#define | GRPC_AUTH_CONTEXT_REF(p, r) grpc_auth_context_ref((p))
#define | GRPC_AUTH_CONTEXT_UNREF(p, r) grpc_auth_context_unref((p))

## Functions
grpc_auth_context * | grpc_auth_context_create (grpc_auth_context *chained, size_t property_count)
grpc_auth_context * | grpc_auth_context_ref (grpc_auth_context *policy)
void | grpc_auth_context_unref (grpc_auth_context *policy)
grpc_auth_property | grpc_auth_property_init_from_cstring (const char *name, const char *value)
grpc_auth_property | grpc_auth_property_init (const char *name, const char *value, size_t value_length)
void | grpc_auth_property_reset (grpc_auth_property *property)
grpc_client_security_context * | grpc_client_security_context_create (void)
void | grpc_client_security_context_destroy (void *ctx)
grpc_server_security_context * | grpc_server_security_context_create (void)
void | grpc_server_security_context_destroy (void *ctx)

## Macro Definition Documentation

#define GRPC_AUTH_CONTEXT_REF | ( |  | p,
|  |  | r
| ) |  | grpc_auth_context_ref((p))

#define GRPC_AUTH_CONTEXT_UNREF | ( |  | p,
|  |  | r
| ) |  | grpc_auth_context_unref((p))

## Function Documentation

grpc_auth_context* grpc_auth_context_create | ( | grpc_auth_context * | chained,
|  | size_t | property_count
| ) |  |

grpc_auth_context* grpc_auth_context_ref | ( | grpc_auth_context * | policy | ) |

void grpc_auth_context_unref | ( | grpc_auth_context * | policy | ) |

grpc_auth_property grpc_auth_property_init | ( | const char * | name,
|  | const char * | value,
|  | size_t | value_length
| ) |  |

grpc_auth_property grpc_auth_property_init_from_cstring | ( | const char * | name,
|  | const char * | value
| ) |  |

void grpc_auth_property_reset | ( | grpc_auth_property * | property | ) |

grpc_client_security_context* grpc_client_security_context_create | ( | void |  | ) |

void grpc_client_security_context_destroy | ( | void * | ctx | ) |

grpc_server_security_context* grpc_server_security_context_create | ( | void |  | ) |

void grpc_server_security_context_destroy | ( | void * | ctx | ) |